/*** ScianPerspec.c function prototypes */

#ifndef SCIANPERSPEC
#define SCIANPERSPEC

#ifdef PROTO
ObjPtr  NewPerspecControl(int, int, int, int, char *);
void    InitPerspecControls();
void	KillPerspecControls();
Bool	MakePerspecOrtho(ObjPtr, Bool);
#else
ObjPtr	NewPerspecControl();
void    InitPerspecControls();
void	KillPerspecControls();
Bool	MakePerspecOrtho();
#endif
#endif

#define INITEYEDIST     5.0
#define INITAOV         25.0
#define INITFOV		1.0
#define INITNEARCLIP    /*0.1*/ 3.5
#define INITFARCLIP     /*8.0*/ 6.5
#define MINEYEDIST      0.1
#define MAXEYEDIST      15.0
#define MINAOV          1.0
#define MAXAOV          179.0
#define MAXORTHOFOV	2.0
#define MINORTHOFOV	0.1
#define MINCLIP         0.1
#define MAXCLIP         15.0

